import App from './App.vue'

import * as Api from './config/api.js'  
import mpShare from './common/libs/mixin/mpShare.js'
import store from './store';

// #ifndef VUE3
import Vue from 'vue'
import uView from 'uview-ui'
Vue.config.productionTip = false
Vue.prototype.$api = Api;  
Vue.prototype.path = "https://admin.dbcdq.cn"; //挂载在 Vue 实例上
Vue.prototype.$store = store; //挂载在 Vue 实例上
Vue.use(uView)
Vue.mixin(mpShare)
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif